Loading...
Searching...
No Matches
U_HEADER_ONLY_NAMESPACE::CodePointRange::iterator Struct Reference

`#include <uset.h>`

## Public Member Functions

| iterator (UChar32 aC)
bool | operator== (const iterator &other) const
bool | operator!= (const iterator &other) const
UChar32 | operator* () const
iterator & | operator++ ()
| Pre-increment.
iterator | operator++ (int)
| Post-increment.

## Data Fields

UChar32 | c
| The current code point in the range.

## Detailed Description

Stable
  ICU 76

Definition at line 1457 of file uset.h.

## Constructor & Destructor Documentation

## iterator()

U_HEADER_ONLY_NAMESPACE::CodePointRange::iterator::iterator | ( | UChar32 | aC | ) |

inline

Stable
  ICU 76

Definition at line 1459 of file uset.h.

References c.

Referenced by operator!=(), operator++(), operator++(), and operator==().

## Member Function Documentation

## operator!=()

bool U_HEADER_ONLY_NAMESPACE::CodePointRange::iterator::operator!= | ( | const iterator & | other | ) | const

inline

Stable
  ICU 76

Definition at line 1464 of file uset.h.

References iterator(), and operator==().

## operator*()

UChar32 U_HEADER_ONLY_NAMESPACE::CodePointRange::iterator::operator* | ( |  | ) | const

inline

Stable
  ICU 76

Definition at line 1467 of file uset.h.

References c.

## operator++() [1/2]

iterator & U_HEADER_ONLY_NAMESPACE::CodePointRange::iterator::operator++ | ( |  | ) |

inline

Pre-increment.

Stable
  ICU 76

Definition at line 1473 of file uset.h.

References c, and iterator().

## operator++() [2/2]

iterator U_HEADER_ONLY_NAMESPACE::CodePointRange::iterator::operator++ | ( | int |  | ) |

inline

Post-increment.

Stable
  ICU 76

Definition at line 1482 of file uset.h.

References c, and iterator().

## operator==()

bool U_HEADER_ONLY_NAMESPACE::CodePointRange::iterator::operator== | ( | const iterator & | other | ) | const

inline

Stable
  ICU 76

Definition at line 1462 of file uset.h.

References c, and iterator().

Referenced by operator!=().

## Field Documentation

## c

UChar32 U_HEADER_ONLY_NAMESPACE::CodePointRange::iterator::c

The current code point in the range.

Stable
  ICU 76

Definition at line 1490 of file uset.h.

Referenced by iterator(), operator*(), operator++(), operator++(), and operator==().

The documentation for this struct was generated from the following file:

- common/unicode/uset.h